Unify and manage your data

Get a hierarchy instance by ID

Learn more about how to use the Get hierarchy instance to return a hierarchy instance by ID.

Use the Get a hierarchy instance to retrieve the metadata for a specific hierarchy instance. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/{instanceId}

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

GET /prd.version1
Authorization: Bearer <token>

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
instanceIdStringThe hierarchy instance ID.
hierarchyIdStringThe hierarchy ID.
labelStringThe visible name of the hierarchy instance.
typeStringThe hierarchy type name as defined in the business configuration.
nameStringThe name of the hierarchy.
hasVersioningBooleanIndicates whether the hierarchy is versioned.
singleInstanceIdStringOptional. If versioning is disabled, the ID of the only hierarchy instance.
versionversionIdStringThe version ID.
nameStringThe name of the version.
statusStringOptional. The status of the version.
effectiveStartDateStringOptional. The start effective date of the version in ISO 8601 date format.
effectiveEndDateStringOptional. The end effective date of the version in ISO 8601 date format.
descriptionStringOptional. The description of the version.
contextStringOptional. Additional context for the version.
createdByStringThe username of the user who created the version.
createdTimeStringThe time when the version was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the version.
updatedTimeStringThe time when the version was last updated, in ISO 8601 date-time format.
createdByStringThe username of the user who created the hierarchy.
createdTimeStringThe time when the hierarchy was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the hierarchy.
updatedTimeStringThe time when the hierarchy was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

{
  "instanceId": "prd.version1",
  "hierarchyId": "prd",
  "label": "Product Hierarchy - Version 1",
  "type": "configuration/hierarchyTypes/TypeProduct",
  "name": "Product Hierarchy",
  "hasVersioning": true,
  "version": {
    "versionId": "version1",
    "name": "Version 1",
    "status": "ACTIVE",
    "effectiveStartDate": "2024-01-01",
    "effectiveEndDate": "2026-12-31",
    "description": "longDescription",
    "context": "longContextDescription",
    "createdBy": "john.smith@reltio.com",
    "createdTime": "2024-10-10T10:13:30",
    "updatedBy": "john.smith@reltio.com",
    "updatedTime": "2024-10-10T10:15:30"
  },
  "createdBy": "john.smith@reltio.com",
  "createdTime": "2024-10-10T10:13:30",
  "updatedBy": "john.smith@reltio.com",
  "updatedTime": "2024-10-10T10:15:30"
}